### Property

# WebKit2 Settings:enable-accelerated-2d-canvas

deprecated: 2.32. since: 2.2

#### Declaration

    property enable-accelerated-2d-canvas: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable accelerated 2D canvas. Accelerated 2D canvas is only available if WebKit was compiled with a version of Cairo including the unstable CairoGL API. When accelerated 2D canvas is enabled, WebKit may render some 2D canvas content using hardware accelerated drawing operations.

Type: | `gboolean`
Available since: | 2.2
Deprecated since: | 2.32.
Please do not use it in newly written code.

Setter method | `webkit_settings_set_enable_accelerated_2d_canvas()`
Getter method | `webkit_settings_get_enable_accelerated_2d_canvas()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no